<?php

namespace KupShop\I18nBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use KupShop\ContentBundle\Entity\Page;
use KupShop\I18nBundle\Entity\Traits\Translation;

/**
 * Html Pages translations.
 *
 * @ORM\Table(name="html_pages_translations")
 *
 * @ORM\Entity
 */
class PageTranslation
{
    use Translation;

    public static $foreignKeyColumnName = 'id_html_page';

    public static function getTranslatableEntityClass()
    {
        // By default, the translatable class has the same name but without the "Translation" suffix
        return Page::class;
    }

    /**
     * @var string
     *
     * @ORM\Column(name="name", type="string", length=50, nullable=false)
     */
    private $name = '';

    /**
     * @var string
     *
     * @ORM\Column(name="meta_title", type="string", nullable=true)
     */
    private $meta_title;

    /**
     * @var string
     *
     * @ORM\Column(name="meta_description", type="string", nullable=true)
     */
    private $meta_description;

    /**
     * @var string
     *
     * @ORM\Column(name="meta_keywords", type="string", nullable=true)
     */
    private $meta_keywords;

    /**
     * Set name.
     *
     * @param string $name
     *
     * @return PageTranslation
     */
    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    /**
     * Get name.
     *
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Set metaTitle.
     *
     * @param string $metaTitle
     *
     * @return PageTranslation
     */
    public function setMetaTitle($metaTitle)
    {
        $this->meta_title = $metaTitle;

        return $this;
    }

    /**
     * Get metaTitle.
     *
     * @return string
     */
    public function getMetaTitle()
    {
        return $this->meta_title;
    }

    /**
     * Set metaDescription.
     *
     * @param string $metaDescription
     *
     * @return PageTranslation
     */
    public function setMetaDescription($metaDescription)
    {
        $this->meta_description = $metaDescription;

        return $this;
    }

    /**
     * Get metaDescription.
     *
     * @return string
     */
    public function getMetaDescription()
    {
        return $this->meta_description;
    }

    /**
     * Set metaKeywords.
     *
     * @param string $metaKeywords
     *
     * @return PageTranslation
     */
    public function setMetaKeywords($metaKeywords)
    {
        $this->meta_keywords = $metaKeywords;

        return $this;
    }

    /**
     * Get metaKeywords.
     *
     * @return string
     */
    public function getMetaKeywords()
    {
        return $this->meta_keywords;
    }
}
